Load content and generate transcripts.
Load a show, episode, album or track by its Fountain ID. For podcast GUIDs, first use Lookup Podcast GUIDs.
The Fountain content ID to load, e.g. episode:id:abc123 or show:id:def456.
200The matching content.The matching content.
404Content not found.curl -X GET "https://api.fountain.fm/v1/content/{id}"{
"hit": {
"_id": "episode:id:abc123",
"_type": "EPISODE",
"_guid": "abcdef",
"info": {
"title": "#2394 - Palmer Luckey",
"subtitle": "The Joe Rogan Experience",
"publisher": "Joe Rogan",
"audio": "https://example.com/episodes/abc123/audio.mp3",
"video": "https://example.com/episodes/abc123/video.m3u8",
"duration": 11294,
"published": "2025-10-16T17:00:00.000Z"
},
"links": [
"show:id:def456",
"show:guid:abcdef"
]
}
}Load a show’s episodes or an album’s tracks.
Parent Fountain content ID.
200The child content.The child content.
curl -X GET "https://api.fountain.fm/v1/content/{id}/children" \
-H "Authorization: Bearer $FOUNTAIN_API_KEY"{
"hits": [
{
"_id": "episode:id:abc123",
"_type": "EPISODE",
"_guid": "abcdef",
"info": {
"title": "#2394 - Palmer Luckey",
"subtitle": "The Joe Rogan Experience",
"publisher": "Joe Rogan",
"audio": "https://example.com/episodes/abc123/audio.mp3",
"video": "https://example.com/episodes/abc123/video.m3u8",
"duration": 11294,
"published": "2025-10-16T17:00:00.000Z"
},
"links": [
"show:id:def456",
"show:guid:abcdef"
]
}
]
}Load an episode’s transcript or transcription status. Poll until segments is returned. If no transcript exists, use Generate Transcript.
Episode Fountain ID.
200Transcript or transcription status.Transcript keyed by source. Absent while generating.
Job status. Returned only while generating.
404No episode with that ID exists, or it has no transcript.curl -X GET "https://api.fountain.fm/v1/content/{id}/transcript" \
-H "Authorization: Bearer $FOUNTAIN_API_KEY"{
"segments": [
{
"start": 2477.91,
"end": 2493.9,
"text": "Imagine that you're an alien."
}
]
}Queue transcription of an episode’s audio or video.
1 credit per transcript from your project credits. Charged once when queued.
The episode to transcribe.
200Transcription queued.PENDING for a new job.
curl -X POST "https://api.fountain.fm/v1/content/{id}/transcript/generate" \
-H "Authorization: Bearer $FOUNTAIN_API_KEY"{
"status": "PENDING"
}